Package twisted :: Package internet :: Module default :: Class _UnixWaker

[frames | no frames]

## Class _UnixWaker

    Ephemeral --+
                |
       Logger --+
                |
               _UnixWaker

This class provides a simple interface to wake up the select() loop.

This is used by threads or signals to wake up the event loop.

Method Summary
| ``__init__`(self, reactor)` Initialize.
| ``connectionLost`(self, reason)` Close both ends of my pipe.
| ``doRead`(self)` Read one byte from the pipe.
| ``wakeUp`(self)` Write one byte to the pipe, and flush it.
Inherited from Logger
| ``logPrefix`(self)` Override this method to insert custom logging behavior.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`int` | `disconnected` = 0

Method Details

### __init__(self, reactor)
(Constructor)

Initialize.

### connectionLost(self, reason)

Close both ends of my pipe.

### doRead(self)

Read one byte from the pipe.

### wakeUp(self)

Write one byte to the pipe, and flush it.

Class Variable Details

### disconnected

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:55 2004 | http://epydoc.sf.net